//
//  TAPStyle.h
//  TapTalk
//
//  Created by Dominic Vedericho on 18/06/19.
//  Copyright © 2019 Moselo. All rights reserved.
//

#ifndef TAPStyle_h
#define TAPStyle_h

#pragma mark - Font Typeface / Font Family
//Font
#define TAP_FONT_FAMILY_ITALIC @"DMSans-Italic"
#define TAP_FONT_FAMILY_REGULAR @"PTRootUI-Regular"
#define TAP_FONT_FAMILY_MEDIUM @"PTRootUI-Medium"
#define TAP_FONT_FAMILY_BOLD @"PTRootUI-Bold"

#pragma mark - Default Color
//Default Color
#define TAP_COLOR_PRIMARY_EXTRA_LIGHT @"FFA045"
#define TAP_COLOR_PRIMARY_LIGHT @"FF9833"
#define TAP_COLOR_PRIMARY @"FF7E00"
#define TAP_COLOR_PRIMARY_DARK @"E87200"
#define TAP_COLOR_SUCCESS @"7EC82A"
#define TAP_COLOR_ERROR @"FF3F57"
#define TAP_COLOR_TEXT_LIGHT @"FFFFFF"
#define TAP_COLOR_TEXT_MEDIUM @"9B9B9B"
#define TAP_COLOR_TEXT_DARK @"191919"
#define TAP_COLOR_ICON_PRIMARY @"FF7E00"
#define TAP_COLOR_ICON_WHITE @"FFFFFF"
#define TAP_COLOR_ICON_GRAY @"9B9B9B"
#define TAP_COLOR_ICON_SUCCESS @"7EC82A"
#define TAP_COLOR_ICON_ERROR @"FF3F57"

#pragma mark - Component Color
//Component Color
#pragma mark Navigation Bar
//NavigationBar
#define TAP_DEFAULT_NAVIGATION_BAR_BACKGROUND_COLOR @"FFFFFF"
#define TAP_DEFAULT_BACKGROUND_COLOR @"F3F3F3"

#pragma mark TextField
//TextField
#define TAP_TEXTFIELD_BORDER_INACTIVE_COLOR @"DCDCDC"

#pragma mark Button
//Button
#define TAP_BUTTON_INACTIVE_BACKGROUND_GRADIENT_LIGHT_COLOR @"CECECE"
#define TAP_BUTTON_INACTIVE_BACKGROUND_GRADIENT_DARK_COLOR @"9B9B9B"
#define TAP_BUTTON_INACTIVE_BORDER_COLOR @"CECECE"

#pragma mark Switch
//Switch
#define TAP_SWITCH_INACTIVE_BACKGROUND_COLOR @"9B9B9B"

#pragma mark Unread Badge
//Unread Badge
#define TAP_UNREAD_BADGE_INACTIVE_BACKGROUND_COLOR @"9B9B9B"

#pragma mark SearchBar
//SearchBar
#define TAP_SEARCHBAR_BORDER_INACTIVE_COLOR @"DCDCDC"

#pragma mark Chat Room Page
//Chat Room Page
#define TAP_LEFT_BUBBLE_BACKGROUND_COLOR @"FFFFFF"
#define TAP_LEFT_BUBBLE_QUOTE_BACKGROUND_COLOR @"F3F3F3"
#define TAP_SYSTEM_MESSAGE_BACKGROUND_COLOR @"FFFFFF"
#define TAP_SYSTEM_MESSAGE_BACKGROUND_SHADOW_COLOR @"D9D9D9"
#define TAP_FILE_PROGRESS_BACKGROUND_COLOR @"FFFFFF"
#define TAP_DELETED_CHAT_ROOM_INFO_BACKGROUND_COLOR @"FFF4B1"
#define TAP_SEARCH_CONNECTION_LOST_BACKGROUND_COLOR @"FFF4B1"
#define TAP_CHAT_COMPOSER_BACKGROUND_COLOR @"FFFFFF"

#pragma mark - Component Font Size
//Component Font Size
#define TAP_TITLE_LABEL_FONTSIZE_STYLE 40.0f
#define TAP_NAVIGATION_BAR_TITLE_LABEL_FONTSIZE_STYLE 20.0f
#define TAP_NAVIGATION_BAR_BUTTON_LABEL_FONTSIZE_STYLE 16.0f
#define TAP_FORM_LABEL_FONTSIZE_STYLE 16.0f
#define TAP_FORM_DESCRIPTION_LABEL_FONTSIZE_STYLE 14.0f
#define TAP_FORM_ERROR_INFO_LABEL_FONTSIZE_STYLE 14.0f
#define TAP_FORM_TEXTFIELD_FONTSIZE_STYLE 16.0f
#define TAP_FORM_TEXTFIELD_PLACEHOLDER_FONTSIZE_STYLE 14.0f
#define TAP_CLICKABLE_LABEL_FONTSIZE_STYLE 16.0f
#define TAP_CLICKABLE_DESTRUCTIVE_LABEL_FONTSIZE_STYLE 16.0f
#define TAP_BUTTON_LABEL_FONTSIZE_STYLE 16.0f
#define TAP_INFO_LABEL_TITLE_FONTSIZE_STYLE 24.0f
#define TAP_INFO_LABEL_SUBTITLE_FONTSIZE_STYLE 18.0f
#define TAP_INFO_LABEL_BODY_FONTSIZE_STYLE 14.0f
#define TAP_KEYBOARD_ACCESSORY_LABEL_FONTSIZE_STYLE 14.0f
#define TAP_POPUP_LOADING_LABEL_FONTSIZE_STYLE 16.0f
#define TAP_SEARCH_CONNECTION_LOST_TITLE_FONTSIZE_STYLE 16.0f
#define TAP_SEARCH_CONNECTION_LOST_DESCRIPTION_FONTSIZE_STYLE 14.0f
#define TAP_UNREAD_BADGE_LABEL_FONTSIZE_STYLE 11.0f

#pragma mark - SearchBar
//SearchBar
#define TAP_SEARCHBAR_TEXT_FONTSIZE_STYLE 14.0f
#define TAP_SEARCHBAR_TEXT_PLACEHOLDER_FONTSIZE_STYLE 14.0f
#define TAP_SEARCHBAR_TEXT_CANCEL_BUTTON_FONTSIZE_STYLE 17.0f

#pragma mark Popup Dialog/View
//Popup Dialog/View
#define TAP_POPUP_DIALOG_TITLE_FONTSIZE_STYLE 16.0f
#define TAP_POPUP_DIALOG_BODY_FONTSIZE_STYLE 14.0f
#define TAP_POPUP_DIALOG_BUTTON_TEXT_PRIMARY_SUCCESS_FONTSIZE_STYLE 12.0f
#define TAP_POPUP_DIALOG_BUTTON_TEXT_SECONDARY_FONTSIZE_STYLE 12.0f
#define TAP_POPUP_DIALOG_SECONDARY_BACKGROUND_COLOR @"FFFFFF"

#pragma mark Action Sheet
//Action Sheet
#define TAP_ACTION_SHEET_DEFAULT_LABEL_FONTSIZE_STYLE 16.0f
#define TAP_ACTION_SHEET_DESTRUCTIVE_LABEL_FONTSIZE_STYLE 16.0f
#define TAP_ACTION_SHEET_CANCEL_BUTTON_LABEL_FONTSIZE_STYLE 20.0f

#pragma mark TableView
//TableView
#define TAP_TABLEVIEW_SECTION_HEADER_LABEL_FONTSIZE_STYLE 11.0f

#pragma mark Contact List
//Contact List
#define TAP_CONTACT_LIST_NAME_FONTSIZE_STYLE 14.0f
#define TAP_CONTACT_LIST_NAME_HIGHLIGHTED_FONTSIZE_STYLE 14.0f

#pragma mark Media
//Media
#define TAP_MEDIA_LIST_INFO_LABEL_FONTSIZE_STYLE 12.0f

#pragma mark Room List Page
//Room List Page
#define TAP_ROOM_LIST_NAME_FONTSIZE_STYLE 16.0f
#define TAP_ROOM_LIST_NAME_HIGHLIGHTED_FONTSIZE_STYLE 16.0f
#define TAP_ROOM_LIST_MESSAGE_FONTSIZE_STYLE 14.0f
#define TAP_ROOM_LIST_MESSAGE_HIGHLIGHTED_FONTSIZE_STYLE 14.0f
#define TAP_ROOM_LIST_TIME_FONTSIZE_STYLE 11.0f
#define TAP_GROUP_ROOM_LIST_SENDER_NAME_FONTSIZE_STYLE 14.0f
#define TAP_ROOM_LIST_UNREAD_BADGE_LABEL_FONTSIZE_STYLE 11.0f

#pragma mark New Chat Page
//New Chat Page
#define TAP_NEW_CHAT_MENU_LABEL_FONTSIZE_STYLE 16.0f

#pragma mark Chat Profile Page
//Chat Profile Page
#define TAP_CHAT_PROFILE_ROOM_NAME_LABEL_FONTSIZE_STYLE 20.0f
#define TAP_CHAT_PROFILE_MENU_LABEL_FONTSIZE_STYLE 14.0f
#define TAP_CHAT_PROFILE_MENU_DESTRUCTIVE_LABEL_FONTSIZE_STYLE 14.0f

#pragma mark New Contact Page
//New Contact Page
#define TAP_SEARCH_NEW_CONTACT_RESULT_NAME_FONTSIZE_STYLE 20.0f
#define TAP_SEARCH_NEW_CONTACT_RESULT_USERNAME_FONTSIZE_STYLE 14.0f

#pragma mark Gallery Picker Page
//Gallery Picker Page
#define TAP_ALBUM_NAME_LABEL_FONTSIZE_STYLE 18.0f
#define TAP_ALBUM_COUNT_LABEL_FONTSIZE_STYLE 12.0f
#define TAP_GALLERY_PICKER_CANCEL_BUTTON_FONTSIZE_STYLE 14.0f
#define TAP_GALLERY_PICKER_CONTINUE_BUTTON_FONTSIZE_STYLE 14.0f

#pragma mark Chat Room Page
//Chat Room Page
#define TAP_CHAT_ROOM_NAME_LABEL_FONTSIZE_STYLE 18.0f
#define TAP_CHAT_ROOM_STATUS_LABEL_FONTSIZE_STYLE 13.0f
#define TAP_CHAT_COMPOSER_TEXTFIELD_FONTSIZE_STYLE 14.0f
#define TAP_CHAT_COMPOSER_TEXTFIELD_PLACEHOLDER_FONTSIZE_STYLE 14.0f
#define TAP_CUSTOM_KEYBOARD_ITEM_LABEL_FONTSIZE_STYLE 14.0f
#define TAP_QUOTE_LAYOUT_TITLE_LABEL_FONTSIZE_STYLE 12.0f
#define TAP_QUOTE_LAYOUT_CONTENT_LABEL_FONTSIZE_STYLE 12.0f
#define TAP_RIGHT_BUBBLE_MESSAGE_BODY_FONTSIZE_STYLE 16.0f
#define TAP_LEFT_BUBBLE_MESSAGE_BODY_FONTSIZE_STYLE 16.0f
#define TAP_RIGHT_BUBBLE_MESSAGE_BODY_URL_FONTSIZE_STYLE 16.0f
#define TAP_LEFT_BUBBLE_MESSAGE_BODY_URL_FONTSIZE_STYLE 16.0f
#define TAP_RIGHT_BUBBLE_MESSAGE_BODY_URL_HIGHLIGHTED_FONTSIZE_STYLE 16.0f
#define TAP_LEFT_BUBBLE_MESSAGE_BODY_URL_HIGHLIGHTED_FONTSIZE_STYLE 16.0f
#define TAP_RIGHT_BUBBLE_DELETED_MESSAGE_BODY_FONTSIZE_STYLE 16.0f
#define TAP_LEFT_BUBBLE_DELETED_MESSAGE_BODY_FONTSIZE_STYLE 16.0f
#define TAP_RIGHT_BUBBLE_QUOTE_TITLE_FONTSIZE_STYLE 12.0f
#define TAP_LEFT_BUBBLE_QUOTE_TITLE_FONTSIZE_STYLE 12.0f
#define TAP_RIGHT_BUBBLE_QUOTE_CONTENT_FONTSIZE_STYLE 12.0f
#define TAP_LEFT_BUBBLE_QUOTE_CONTENT_FONTSIZE_STYLE 12.0f
#define TAP_RIGHT_FILE_BUBBLE_NAME_FONTSIZE_STYLE 12.0f
#define TAP_LEFT_FILE_BUBBLE_NAME_FONTSIZE_STYLE 12.0f
#define TAP_RIGHT_FILE_BUBBLE_INFO_FONTSIZE_STYLE 12.0f
#define TAP_LEFT_FILE_BUBBLE_INFO_FONTSIZE_STYLE 12.0f
#define TAP_LEFT_BUBBLE_SENDER_NAME_FONTSIZE_STYLE 14.0f
#define TAP_BUBBLE_MESSAGE_STATUS_FONTSIZE_STYLE 12.0f
#define TAP_BUBBLE_MEDIA_INFO_FONTSIZE_STYLE 12.0f
#define TAP_SYSTEM_MESSAGE_BODY_FONTSIZE_STYLE 11.0f
#define TAP_CHAT_ROOM_UNREAD_BADGE_FONTSIZE_STYLE 11.0f
#define TAP_UNREAD_MESSAGE_IDENTIFIER_FONTSIZE_STYLE 12.0f
#define TAP_UNREAD_MESSAGE_BUTTON_LABEL_FONTSIZE_STYLE 12.0f
#define TAP_DELETED_CHAT_ROOM_INFO_TITLE_FONTSIZE_STYLE 16.0f
#define TAP_DELETED_CHAT_ROOM_INFO_CONTENT_FONTSIZE_STYLE 14.0f

#pragma mark Location Picker Page
//Location Picker Page
#define TAP_LOCATION_PICKER_TEXTFIELD_FONTSIZE_STYLE 13.0f
#define TAP_LOCATION_PICKER_TEXTFIELD_PLACEHOLDER_FONTSIZE_STYLE 13.0f
#define TAP_LOCATION_PICKER_TEXTFIELD_CLEAR_BUTTON_FONTSIZE_STYLE 10.0f
#define TAP_LOCATION_PICKER_SEARCH_RESULT_FONTSIZE_STYLE 13.0f
#define TAP_LOCATION_PICKER_ADDRESS_FONTSIZE_STYLE 12.0f
#define TAP_LOCATION_PICKER_ADDRESS_PLACEHOLDER_FONTSIZE_STYLE 12.0f
#define TAP_LOCATION_PICKER_SEND_LOCATION_BUTTON_FONTSIZE_STYLE 12.0f

#pragma mark Send Media Preview Page
//Send Media Preview Page
#define TAP_MEDIA_PREVIEW_CANCEL_BUTTON_FONTSIZE_STYLE 16.0f
#define TAP_MEDIA_PREVIEW_ITEM_COUNT_FONTSIZE_STYLE 16.0f
#define TAP_MEDIA_PREVIEW_CAPTION_FONTSIZE_STYLE 14.0f
#define TAP_MEDIA_PREVIEW_CAPTION_PLACEHOLDER_FONTSIZE_STYLE 14.0f
#define TAP_MEDIA_PREVIEW_CAPTION_LETTER_COUNT_FONTSIZE_STYLE 10.0f
#define TAP_MEDIA_PREVIEW_SEND_BUTTON_LABEL_FONTSIZE_STYLE 16.0f
#define TAP_MEDIA_PREVIEW_WARNING_TITLE_FONTSIZE_STYLE 14.0f
#define TAP_MEDIA_PREVIEW_WARNING_BODY_FONTSIZE_STYLE 12.0f

#pragma mark Image Detail Preview Page
//Image Detail Preview Page
#define TAP_IMAGE_DETAIL_SENDER_NAME_FONTSIZE_STYLE 14.0f
#define TAP_IMAGE_DETAIL_MESSAGE_STATUS_FONTSIZE_STYLE 12.0f
#define TAP_IMAGE_DETAIL_CAPTION_FONTSIZE_STYLE 15.0f

#pragma mark Custom Notification Page (In App Notification)
//Custom Notification Page (In App Notification)
#define TAP_CUSTOM_NOTIFICATION_TITLE_LABEL_FONTSIZE_STYLE 16.0f
#define TAP_CUSTOM_NOTIFICATION_CONTENT_LABEL_FONTSIZE_STYLE 14.0f

#pragma mark - Group Chat
//Group Chat
#define TAP_SELECTED_MEMBER_LIST_NAME_FONTSIZE_STYLE 11.0f
#define TAP_GROUP_MEMBER_COUNT_FONTSIZE_STYLE 16.0f

#pragma mark Country Picker
//Country Picker Page
#define TAP_COUNTRY_PICKER_LABEL_FONTSIZE_STYLE 16.0f

#pragma mark Login Verification (OTP)
//Login Verification (OTP) Page
#define TAP_LOGIN_VERIFICATION_INFO_LABEL_FONTSIZE_STYLE 16.0f
#define TAP_LOGIN_VERIFICATION_PHONE_NUMBER_LABEL_FONTSIZE_STYLE 16.0f
#define TAP_LOGIN_VERIFICATION_STATUS_COUNTDOWN_LABEL_FONTSIZE_STYLE 16.0f
#define TAP_LOGIN_VERIFICATION_STATUS_LOADING_LABEL_FONTSIZE_STYLE 16.0f
#define TAP_LOGIN_VERIFICATION_STATUS_SUCCESS_LABEL_FONTSIZE_STYLE 16.0f

#endif /* TAPStyle_h */
